Subject: Re: yasnippets block last emacs

From: Corwin Brust <[email-masked]>
Date: Wed, 28 Jun 2023 19:25:52 -0500

Thank you.  Several other packages (for example use-package) were also
affected.

Seeing below a second confirmation that the fix applied for bug#64315
(already closed) has generally resolved the problem, I'm therefore
also closing this bug. Feel free to re-open it if you believe
something may have been missed.

On Wed, Jun 28, 2023 at 3:26 PM Ramón Lorenzo Panadés-Barrueta
<[email-masked]> wrote:
>
> I can confirm that rev:dcd920 fixed the bug. Thanks for the heads-up!
>
> El mié, 28 jun 2023 a las 16:28, Corwin Brust (<[email-masked]>) escribió:
>>
>> On Wed, Jun 28, 2023 at 7:08 AM Ramón Lorenzo Panadés-Barrueta
>> <[email-masked]> wrote:
>> >
>> > > yas--template-menu-binding-pair-get-create: Symbol's function definition is
>> > > void: \(setf\
>> > > internal--with-suppressed-warnings\)
>> > >
>>
>> [snip]
>>
>> > I opened an issue in the yasnippets' GitHub site,
>> > https://github.com/joaotavora/yasnippet/issues/1166. One user found that
>> >
>> > adding lexical-binding: t in yasnippets.el workarounds the issue. Source:
>> > https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64292.
>>
>> Stephen M has just pushed changes to master that appear to address
>> this.  Would you like to confirm?
>>
>> Here's a summary of the commit:
>>
>> > branch:master rev:dcd920 who:monnier where:emacs-30 what:lisp/emacs-lisp/cl-macs.el (cl--slet): Fix bug#64315
>>
>> Note, the commit message should probably reference 64292, which
>> tracker I've cross-posted to.